> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Integration-Managed Member

> Update profile attributes and team role bindings for an integration-managed member.

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url https://api.management.junction.com/v1/org/{org_id}/ehr_integration/member/{member_id} \
    --header 'Content-Type: application/json' \
    --header 'X-Management-Key: <management-key>' \
    --data '{
      "name": "Alex Kim",
      "email": "alex@example.com",
      "team_role_bindings": []
    }'
  ```
</RequestExample>


## OpenAPI

````yaml patch /v1/org/{org_id}/ehr_integration/member/{member_id}
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/ehr_integration/member/{member_id}:
    patch:
      tags:
        - EHR Integration
      summary: Update Integration Managed Member
      operationId: >-
        update_integration_managed_member_v1_org__org_id__ehr_integration_member__member_id__patch
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: member_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Member Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateIntegrationManagedMemberBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationManagedMember'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationMemberIDConflictResponse'
          description: Conflict
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateIntegrationManagedMemberBody:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        avatar:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar
        team_role_bindings:
          anyOf:
            - items:
                $ref: '#/components/schemas/TeamRoleBinding'
              type: array
            - type: 'null'
          title: Team Role Bindings
      type: object
      title: UpdateIntegrationManagedMemberBody
    IntegrationManagedMember:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        integration_member_id:
          type: string
          title: Integration Member Id
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        avatar:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar
        team_role_bindings:
          anyOf:
            - items:
                $ref: '#/components/schemas/TeamRoleBinding'
              type: array
            - type: 'null'
          title: Team Role Bindings
      type: object
      required:
        - id
        - integration_member_id
        - name
        - email
        - avatar
        - team_role_bindings
      title: IntegrationManagedMember
    IntegrationMemberIDConflictResponse:
      properties:
        member_id:
          type: string
          format: uuid
          title: Member Id
      type: object
      required:
        - member_id
      title: IntegrationMemberIDConflictResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamRoleBinding:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
      type: object
      required:
        - team_id
      title: TeamRoleBinding
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````